Author Topic: NetXMS 3.4 patch release 2 (version 3.4.284)  (Read 331 times)

Victor Kirhenshtein

  • Lead Developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 7036
    • View Profile
NetXMS 3.4 patch release 2 (version 3.4.284)
« on: July 31, 2020, 06:11:05 pm »
Hi all!

NetXMS 3.4 patch release 2 is published. Changes since previous release:

- PostgreSQL monitoring subagent
- Improved driver for Cisco Nexus
- Improved LLDP based network topology discovery
- Correctly detect LLDP capability on Mikrotik devices
- New NXSL functions GetServerNode and GetServerNodeId
- New NXSL function SendMail
- Fixed UI bug with accessing collected performance data from data collection editor
- Configurable size of SNMP proxy thread pool on agent
- Housekeeper optimization
- Added drivers for Cambium Networks devices (ePMP and cnPilot)
- Fixed issues:
        NX-1863 (Logwatch fails on parsing large Windows Event Log events)
        NX-1880 (Duplicate links on automatic maps with multiple seed nodes)
        NX-1895 (After server restart GUI is not showing from where a custom attribute is inherited)
        NX-1897 (ReadPersistentStorage returns incorrect value for non-existing key)
        NX-1901 (Get node of active NetXMS server in NXSL)
        NX-1910 (Spelling mistakes in Java API)

There were no changes in agents besides WIndows, so agent packages were not updated and 3.4.232 still good to use.

Best regards,
Victor

blingblouw

  • Newbie
  • *
  • Posts: 13
    • View Profile
Re: NetXMS 3.4 patch release 2 (version 3.4.284)
« Reply #1 on: August 05, 2020, 05:39:36 pm »
- Correctly detect LLDP capability on Mikrotik devices


Very curious about this one. I see devices are still not showing as isLLDP on capabilities also don't get anything on the layer2 topology map

EDIT: sorry, upgrade went bad. it is showing now. great!
« Last Edit: August 05, 2020, 05:45:20 pm by blingblouw »

Victor Kirhenshtein

  • Lead Developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 7036
    • View Profile
Re: NetXMS 3.4 patch release 2 (version 3.4.284)
« Reply #2 on: August 05, 2020, 08:00:47 pm »
For reference, for LLDP based topology working correctly with Mikrotik router software should be at least 6.46 (so current LTS version will not work).

Best regards,
Victor